<template>
  <v-layout>
    <v-flex>
      <v-card class="elevation-3">
        <v-card-title>Количество товаров за месяц</v-card-title>
        <v-chart :options="options"></v-chart>
      </v-card>
    </v-flex>
  </v-layout>
</template>

<script>
import { mapState, mapActions } from "vuex";

export default {
  data: () => ({
    days: [],
    quantities: [],
  }),
  mounted() {
    this.getOrdersItemsQuantities();
    this.fillDays();
  },
  props: {},
  computed: {
    ...mapState("orders", {
      ordersItemsQuantities: "ordersItemsQuantities",
    }),
    options() {
      return {
        color: [this.$vuetify.theme.themes.light.secondary.base],
        tooltip: {
          trigger: "axis",
          axisPointer: {
            type: "shadow",
          },
        },
        xAxis: {
          type: "category",
          data: this.days,
        },
        yAxis: {
          type: "value",
        },
        series: [
          {
            name: "Количество",
            data: this.quantities,
            type: "bar",
          },
        ],
      };
    },
  },
  methods: {
    ...mapActions({
      getOrdersItemsQuantities: "orders/GET_ORDER_ITEMS_QUANTITIES",
    }),
    fillDays: function () {
      // const currentDay = dayjs(); //moment().date();
      // for (let index = 1; index <= currentDay; index++) {
      //   this.days.push(index);
      //   if (this.ordersItemsQuantities) {
      //     const item = this.ordersItemsQuantities.find(current => {
      //       return (
      //         moment(current.date).format("DD/MM/YYYY") ===
      //         moment()
      //           .subtract(currentDay - index, "days")
      //           .format("DD/MM/YYYY")
      //       );
      //     });
      //     if (item != null) {
      //       this.quantities.push(item.quantity);
      //     } else this.quantities.push(0);
      //   }
      // }
    },
  },
};
</script>
